Package org.apache.solr.client.solrj.impl

## Class LBHttp2SolrClient.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBHttp2SolrClient.Builder

Enclosing class:
  LBHttp2SolrClient

    public static class LBHttp2SolrClient.Builder
    extends Object

### Constructor Summary

Constructors
`Builder​(Http2SolrClient http2Client, String... baseSolrUrls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LBHttp2SolrClient` `build()`
`LBHttp2SolrClient.Builder` `setAliveCheckInterval​(int aliveCheckInterval, TimeUnit unit)` LBHttpSolrServer keeps pinging the dead servers at fixed interval to find if it is alive.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder​(Http2SolrClient http2Client,
                   String... baseSolrUrls)

### Method Detail

#### setAliveCheckInterval

    public LBHttp2SolrClient.Builder setAliveCheckInterval​(int aliveCheckInterval,
                                                           TimeUnit unit)

LBHttpSolrServer keeps pinging the dead servers at fixed interval to find if it is alive. Use this to set that interval

Parameters:
  `aliveCheckInterval` - how often to ping for aliveness

#### build

    public LBHttp2SolrClient build()